Move Cluster Stack Resources Endpoint
import requests
url = "https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/stacks/{stack_name}/move"
payload = {
"resource_ids": ["<string>"],
"target_stack_name": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({resource_ids: ['<string>'], target_stack_name: '<string>'})
};
fetch('https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/stacks/{stack_name}/move', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/stacks/{stack_name}/move \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"resource_ids": [
"<string>"
],
"target_stack_name": "<string>"
}
'{
"moved_count": 123,
"removed_dependencies": [
{
"resource_name": "<string>",
"dependency_name": "<string>",
"dependency_kind": "<string>"
}
],
"commit_sha": "<string>",
"commit_url": "<string>"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Imported Clusters
Move Cluster Stack Resources Endpoint
Moves manifests/addons from one stack to another on the same cluster.
Mirrors the web UI move endpoint but is exposed on the bearer-token
CLI API so ankra cluster stacks move can re-home deployed resources
without uninstalling them.
POST
/
api
/
v1
/
org
/
clusters
/
imported
/
{cluster_id}
/
stacks
/
{stack_name}
/
move
Move Cluster Stack Resources Endpoint
import requests
url = "https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/stacks/{stack_name}/move"
payload = {
"resource_ids": ["<string>"],
"target_stack_name": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({resource_ids: ['<string>'], target_stack_name: '<string>'})
};
fetch('https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/stacks/{stack_name}/move', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/stacks/{stack_name}/move \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"resource_ids": [
"<string>"
],
"target_stack_name": "<string>"
}
'{
"moved_count": 123,
"removed_dependencies": [
{
"resource_name": "<string>",
"dependency_name": "<string>",
"dependency_kind": "<string>"
}
],
"commit_sha": "<string>",
"commit_url": "<string>"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.